// バーチャルウィンドウを描画するJavascript
// 2015年2月10日 2:26:16

// バーチャルウィンドウの［閉じる］ボタンに使用する画像（通常時）
var image_close_norm='./images_window/button_close_norm.png';
// バーチャルウィンドウの［閉じる］ボタンに使用する画像（MouseOver時）
var image_close_actv='./images_window/button_close_actv.png';

// バーチャルウィンドウを描画する
// スタイルに関しては window.css を確認せよ
document.write("<div class='w_outer' id='w_outer'><div class='w_title' id='w_title' onMouseDown='dragOn();'></div><div class='w_close' id='w_close'  onClick='w_pop();'><img src='" + image_close_norm + "' id='Image1' onMouseOver=\"MM_swapImage('Image1','','" + image_close_actv + "',1);\"  onMouseOut='MM_swapImgRestore()'></div><div class='w_content' id='w_content'><div class='w_main' id='w_main'></div></div></div>");

document.write("<div id=\"debugarea\"></div>");

var divid="w_outer"; // ウインドウ外周のID
var mid="w_main";    // ウインドウ内メインコンテンツのID
var tid="w_title";   // ウインドウ上部タイトルバーのID

var offset_x = 40; // マウスとウィンドウの縦方向の距離
var offset_y = 5; // マウスとウィンドウの横方向の距離


var flag = false; // クリック中は tlue

var NNX=0;
var NNY=0;
//var NNXO=0;
//var NNYO=0;

// マウスカーソルの座標
var px=0;
var py=0;

if(document.all){
  wid=document.all(divid);
  debugid=document.all('debugarea');
}else{
  wid=document.getElementById(divid);
  debugid=document.getElementById('debugarea');
}

// バーチャルウィンドウを表示・消去
// 引数
// settxt     ウィンドウ内に表示する文字列。文字列を空にしてこの関数を呼び出すと疑似ウインドウは消去される。
// titletxt   ウィンドウのタイトル
// dx dy      ウィンドウを出現させる座標。画面左上基準。省略できる。
function w_pop(settxt,titletxt,dx,dy){

 if(titletxt == undefined || titletxt ==''){ titletxt='　　　　　　　　　　　　'; }
 if(dx == undefined){ dx=0; }
 else if(dy == undefined){ dy=0; }

 if(document.all){
  d_div=document.all(divid);
  m_div=document.all(mid);
  t_div=document.all(tid);
 }else{
  d_div=document.getElementById(divid);
  m_div=document.getElementById(mid);
  t_div=document.getElementById(tid);
 }


 if(settxt){
  m_div.innerHTML = settxt;
  t_div.innerHTML = titletxt;
  d_div.style.display="block";

  // 疑似ウインドウ出現位置が、マウスの位置になるよう修正
  // X方向に関しては、ウインドウをはみ出さないよう制限を設ける
  if( px > document.body.clientWidth - wid.offsetWidth ){
    d_div.style.left = document.body.clientWidth - wid.offsetWidth + "px";
  }else{
    d_div.style.left = px +"px";
  }
  d_div.style.top = py + 8 + "px";

 }else{
  d_div.style.display="none";
  m_div.innerHTML = "";
  t_div.innerHTML = "";
 }
}

// ドラッグ時の処理
function MouseXY(NNevent){
 NNX = NNevent.pageX;
 NNY = NNevent.pageY;
 //NNXO = NNevent.offsetX;
 //NNYO = NNevent.offsetY;

 if(document.all){
	px = (document.documentElement.scrollLeft || document.body.scrollLeft) + event.clientX;
	py = (document.documentElement.scrollTop  || document.body.scrollTop)  + event.clientY;
 }else{
	px = NNX; 
	py = NNY;
 }
dragWin();
// debugid.innerHTML=NNX + " " + NNY; //デバッガ
}
window.document.onmousemove = MouseXY;
window.document.onmouseup = dragOff;

function dragOn()  {
 flag = true;

 // クリックされた時（dragOn()がコールされた時）に、ウインドウ位置のオフセットを再計算する
 var wpos = wid.getBoundingClientRect(); // 画面左上からの距離（スクロール後も画面左上が0.0）
 offset_x = px - wpos.left; // IEではなぜかevent.x と y に浮動小数点が返る場合があるので整数に型キャスト
 offset_y = py - wpos.top;
 // スクロール量を補正
   offset_x = offset_x -  window.pageXOffset;
   offset_y = offset_y -  window.pageYOffset;

}


function dragOff() { flag = false; }

function dragWin() {
 var dx=0;
 var dy=0;

 if(!flag) return;

 if(document.all){
  wid=document.all(divid);
 }else{
  wid=document.getElementById(divid);
 }

  dx = px - offset_x;
  dy = py - offset_y;
  if( dx < 0){ return; }
  if( dy < 0){ return; }
  wid.style.left = dx + "px";
  wid.style.top  = dy + "px";

  // ドラッグ中にテキストが選択されてしまうのを防ぐ
  if (document.selection) { // for IE
      document.selection.empty();
  } else if (window.getSelection) { // for Firefox
      window.getSelection().removeAllRanges();
  }

  return false;
}

//UserAgentを使ったブラウザ判定
/* function chkbrowser(){
var userAgent = window.navigator.userAgent.toLowerCase();
	if (userAgent.indexOf('opera') != -1) {
	  return 'opera';
	} else if (userAgent.indexOf('chrome') != -1 && userAgent.indexOf('safari') != -1 && userAgent.indexOf('edge') != -1  ) { // Ms Edge は chrome safari edge の表記を併せ持つ変態野郎
	  return 'edge';
	} else if (userAgent.indexOf('msie') != -1 || userAgent.indexOf('trident') != -1 ) { // IE11のUserAgentには Trident表記しかない
	  return 'ie';
	} else if (userAgent.indexOf('chrome') != -1) {
	  return 'chrome';
	} else if (userAgent.indexOf('safari') != -1) {
	  return 'safari';
	} else if (userAgent.indexOf('gecko') != -1) {
	  return 'gecko';
	} else {
	  return false;
	}
}
*/
